All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::IpCameraReader Class Reference

`#include <ipCameraReader.hpp>`

Inherits op::VideoCaptureReader.

## Public Member Functions

| IpCameraReader (const std::string &cameraPath)
virtual | ~IpCameraReader ()
std::vector< cv::Mat > | getCameraMatrices ()
std::vector< cv::Mat > | getCameraExtrinsics ()
std::vector< cv::Mat > | getCameraIntrinsics ()
std::string | getNextFrameName ()
bool | isOpened () const
double | get (const int capProperty)
void | set (const int capProperty, const double value)
Public Member Functions inherited from op::VideoCaptureReader
| VideoCaptureReader (const int index, const bool throwExceptionIfNoOpened)
| VideoCaptureReader (const std::string &path, const ProducerType producerType)
virtual | ~VideoCaptureReader ()
void | release ()
Public Member Functions inherited from op::Producer
| Producer (const ProducerType type)
virtual | ~Producer ()
cv::Mat | getFrame ()
std::vector< cv::Mat > | getFrames ()
void | setProducerFpsMode (const ProducerFpsMode fpsMode)
ProducerType | getType ()
double | get (const ProducerProperty property)
void | set (const ProducerProperty property, const double value)

## Additional Inherited Members

Protected Member Functions inherited from op::VideoCaptureReader
void | resetWebcam (const int index, const bool throwExceptionIfNoOpened)
Protected Member Functions inherited from op::Producer
void | checkFrameIntegrity (cv::Mat &frame)
void | flipAndRotate (cv::Mat &cvMat) const
void | ifEndedResetOrRelease ()
void | keepDesiredFrameRate ()

## Detailed Description

IpCameraReader is a wrapper of the cv::VideoCapture class for IP camera streaming.

## Constructor & Destructor Documentation

op::IpCameraReader::IpCameraReader | ( | const std::string & | cameraPath | ) |

explicit

Constructor of IpCameraReader. It opens the IP camera as a wrapper of cv::VideoCapture.

Parameters

  cameraPath | const std::string parameter with the full camera IP link.

virtual op::IpCameraReader::~IpCameraReader | ( |  | ) |

virtual

## Member Function Documentation

double op::IpCameraReader::get | ( | const int | capProperty | ) |

inlinevirtual

This function is a wrapper of cv::VideoCapture::get. It allows getting different properties of the Producer (fps, width, height, etc.). See the OpenCV documentation for all the available properties.

Parameters

  capProperty | int indicating the property to be modified.

Returns
  double returning the property value.

Implements op::VideoCaptureReader.

std::vector<cv::Mat> op::IpCameraReader::getCameraExtrinsics | ( |  | ) |

virtual

It retrieves and returns the camera extrinsic parameters from the frames producer.

Returns
  std::vector<cv::Mat> with the camera extrinsic parameters.

Implements op::Producer.

std::vector<cv::Mat> op::IpCameraReader::getCameraIntrinsics | ( |  | ) |

virtual

It retrieves and returns the camera intrinsic parameters from the frames producer.

Returns
  std::vector<cv::Mat> with the camera intrinsic parameters.

Implements op::Producer.

std::vector<cv::Mat> op::IpCameraReader::getCameraMatrices | ( |  | ) |

virtual

It retrieves and returns the camera matrixes from the frames producer.

Returns
  std::vector<cv::Mat> with the camera matrices.

Implements op::Producer.

std::string op::IpCameraReader::getNextFrameName | ( |  | ) |

virtual

This function returns a unique frame name (e.g., the frame number for video, the frame counter for webcam, the image name for image directory reader, etc.).

Returns
  std::string with an unique frame name.

Implements op::VideoCaptureReader.

bool op::IpCameraReader::isOpened | ( |  | ) | const

inlinevirtual

This function returns whether the Producer instance is still opened and able to retrieve more frames.

Returns
  bool indicating whether the Producer is opened.

Reimplemented from op::VideoCaptureReader.

void op::IpCameraReader::set | ( | const int | capProperty,
|  | const double | value
| ) |  |

inlinevirtual

This function is a wrapper of cv::VideoCapture::set. It allows setting different properties of the Producer (fps, width, height, etc.). See the OpenCV documentation for all the available properties.

Parameters

  capProperty | int indicating the property to be modified.
  value | double indicating the new value to be assigned.

Implements op::VideoCaptureReader.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/producer/ipCameraReader.hpp